Đến nội dung


Hình ảnh
5 stars - based on 24598 reviews
- - - - -

[Nhờ Sửa Lisp] Nhờ Các Bác Chỉnh Sửa Dùm Lisp Đánh Số Bv Tự Động Block Att


  • Please log in to reply
13 replies to this topic

#1 ptd1987

ptd1987

    biết vẽ ellipse

  • Members
  • PipPip
  • 54 Bài viết
Điểm đánh giá: -5 (bình thường)

Đã gửi 18 April 2016 - 08:18 PM

Em kiếm dc cái đánh STT bản vẽ của block ATT này của bác Gia_Bach hay quá nhưng chỉ nhập prefix dạng KC01

Các bác có thể sửa dùm em nhập thêm suffix, vd: KC01/03 dc không ạ ^^

Em muốn nhập thêm hậu tố /03 để còn quản lý được bản vẽ đó nằm thứ mấy trong tổng bản vẽ

Người ta gọi là được voi đòi Hai Bà Trưng ^^

http://www.cadviet.c.../112169_stt.lsp


  • 0

#2 quocmanh04tt

quocmanh04tt

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 798 Bài viết
Điểm đánh giá: 378 (khá)

Đã gửi 18 April 2016 - 09:53 PM

Tặng bạn cái này cùng với ACE nào cần (Còn mới nóng): :D

http://www.cadviet.c...141736_khbv.rar

141736_khbv.jpg

Trong đó: (Lệnh KHBV)

+ Pick : để lấy tên Tag của block thuộc tính.

+ Auto: Số thứ tự tự động (Tác dung với trường hợp bạn thay đổi STT bắt đầu, muốn khôi phục lại) - Mặc định là tự động.

+ Chức năng sort:

 0 - None ... Cái nào chọn trước thì được trước ...

 1,2,3,4 Có ghi rõ ràng ... (Nguyên tắc luôn từ trái qua phải).

P/s Có thể ứng dụng cho các loại att-block khác, không nhất thiết phải là khung tên.


  • 7

#3 ths

ths

    biết vẽ circle

  • Members
  • PipPip
  • 32 Bài viết
Điểm đánh giá: -2 (bình thường)

Đã gửi 18 April 2016 - 11:13 PM

Tặng bạn cái này cùng với ACE nào cần (Còn mới nóng): :D

http://www.cadviet.c...141736_khbv.rar

141736_khbv.jpg

Trong đó: (Lệnh KHBV)

+ Pick : để lấy tên Tag của block thuộc tính.

+ Auto: Số thứ tự tự động (Tác dung với trường hợp bạn thay đổi STT bắt đầu, muốn khôi phục lại) - Mặc định là tự động.

+ Chức năng sort:

 0 - None ... Cái nào chọn trước thì được trước ...

 1,2,3,4 Có ghi rõ ràng ... (Nguyên tắc luôn từ trái qua phải).

P/s Có thể ứng dụng cho các loại att-block khác, không nhất thiết phải là khung tên.

thanks bạn nhé, rất là hữu ích :)


  • 1

#4 ptd1987

ptd1987

    biết vẽ ellipse

  • Members
  • PipPip
  • 54 Bài viết
Điểm đánh giá: -5 (bình thường)

Đã gửi 18 April 2016 - 11:33 PM

ko thể ko like ứng dụng tuyệt vời này =] :v


  • 0

#5 conghoa

conghoa

    biết lệnh divide

  • Members
  • PipPipPipPipPipPip
  • 445 Bài viết
Điểm đánh giá: 91 (tàm tạm)

Đã gửi 19 April 2016 - 02:20 PM

Tặng bạn cái này cùng với ACE nào cần (Còn mới nóng): :D

http://www.cadviet.c...141736_khbv.rar

141736_khbv.jpg

Trong đó: (Lệnh KHBV)

+ Pick : để lấy tên Tag của block thuộc tính.

+ Auto: Số thứ tự tự động (Tác dung với trường hợp bạn thay đổi STT bắt đầu, muốn khôi phục lại) - Mặc định là tự động.

+ Chức năng sort:

 0 - None ... Cái nào chọn trước thì được trước ...

 1,2,3,4 Có ghi rõ ràng ... (Nguyên tắc luôn từ trái qua phải).

P/s Có thể ứng dụng cho các loại att-block khác, không nhất thiết phải là khung tên.

 

Thank bạn quocmanh04tt!

 

Bạn có thể nâng cấp nó để áp dụng được cho text thường nữa được không?


  • 0

#6 huunhantvxdts

huunhantvxdts

    biết lệnh block

  • Members
  • PipPipPipPipPipPip
  • 401 Bài viết
Điểm đánh giá: 61 (tàm tạm)

Đã gửi 19 April 2016 - 03:55 PM

Thử test thấy đang bị lỗi ở phần sort mọi người kiểm tra lại thế nào??? để chủ thớt hoàn chỉnh

đây là file test 

http://www.cadviet.c...960_test_kt.dwg


  • 0

#7 quocmanh04tt

quocmanh04tt

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 798 Bài viết
Điểm đánh giá: 378 (khá)

Đã gửi 19 April 2016 - 05:43 PM

Thử test thấy đang bị lỗi ở phần sort mọi người kiểm tra lại thế nào??? để chủ thớt hoàn chỉnh

đây là file test 

http://www.cadviet.c...960_test_kt.dwg

 

1. Bạn thử với khung tên thật của bạn xem sao!

2. Trong lsp mình để độ chính xác là 10 (units) để sắp xếp cùng hàng, cột.

3. File của bạn sẽ sort không như ý vì các block có kích thước 6x3 units.

*** Với file của bạn, bạn có thể scale all, tăng kích thước lên nhiều lần, rồi test xem...

4. Không biết block khung tên nhỏ nhất thông thường của mọi người là bao nhiêu???


  • 0

#8 ad.pham234

ad.pham234

    biết vẽ line

  • Members
  • PipPip
  • 25 Bài viết
Điểm đánh giá: -6 (bình thường)

Đã gửi 26 June 2017 - 12:02 PM

Tặng bạn cái này cùng với ACE nào cần (Còn mới nóng): :D

http://www.cadviet.c...141736_khbv.rar

141736_khbv.jpg

Trong đó: (Lệnh KHBV)

+ Pick : để lấy tên Tag của block thuộc tính.

+ Auto: Số thứ tự tự động (Tác dung với trường hợp bạn thay đổi STT bắt đầu, muốn khôi phục lại) - Mặc định là tự động.

+ Chức năng sort:

 0 - None ... Cái nào chọn trước thì được trước ...

 1,2,3,4 Có ghi rõ ràng ... (Nguyên tắc luôn từ trái qua phải).

P/s Có thể ứng dụng cho các loại att-block khác, không nhất thiết phải là khung tên.

Ad ơi ad có thể đổi tên lệnh là bv hộ em được không chứ đề khbv thì dài dòng quá ad giúp em nhé.

thank ad trước ạ


  • -1

#9 cuongtk2

cuongtk2

    biết lệnh rotate

  • Members
  • PipPipPip
  • 135 Bài viết
Điểm đánh giá: 33 (tàm tạm)

Đã gửi 26 June 2017 - 02:07 PM

Người ta viết file fas để không sửa được. Bạn nên tạo 1 lisp có nội dung như sau:

(defun c:bv () (c:tkbv))

load nó vào là ok. Dùng lệnh mới và cũ đều được.


  • 0

#10 ad.pham234

ad.pham234

    biết vẽ line

  • Members
  • PipPip
  • 25 Bài viết
Điểm đánh giá: -6 (bình thường)

Đã gửi 26 June 2017 - 05:13 PM

Người ta viết file fas để không sửa được. Bạn nên tạo 1 lisp có nội dung như sau:

(defun c:bv () (c:tkbv))

load nó vào là ok. Dùng lệnh mới và cũ đều được.

em cảm ơn bác rất rất nhiều ạ 


  • 0

#11 ad.pham234

ad.pham234

    biết vẽ line

  • Members
  • PipPip
  • 25 Bài viết
Điểm đánh giá: -6 (bình thường)

Đã gửi 13 July 2017 - 03:40 PM

Nhờ bác sửa hộ em líp này có thể quyets chọn nhiều đối tượng thay vì chỉ chon 1 đối tượng 1 lần quét.Cám ơn các bác nhiều a.

líp này là của bác 

duy782006

http://www.cadviet.c.../144248_dlb.lsp


  • 0

#12 cuongtk2

cuongtk2

    biết lệnh rotate

  • Members
  • PipPipPip
  • 135 Bài viết
Điểm đánh giá: 33 (tàm tạm)

Đã gửi 13 July 2017 - 04:54 PM

Bạn bỏ đi dòng (command ".move.........(list 0 0 0))
vì dòng lệnh này coi như regen cho mỗi block

thay cụm dưới bằng cụm này.

(defun c:dlb ( / ss )
(setq ss (ssget '((0 . "INSERT"))))
(foreach n (ssnamex ss)
(if (= 'ename (type (cadr n)))
(progn
(block_s_dxf (cadr n) 8 "0")
(block_s_dxf (cadr n) 62 256)
)
)
)
(command "regen")
)


  • 0

#13 ad.pham234

ad.pham234

    biết vẽ line

  • Members
  • PipPip
  • 25 Bài viết
Điểm đánh giá: -6 (bình thường)

Đã gửi 13 July 2017 - 05:24 PM

Bạn bỏ đi dòng (command ".move.........(list 0 0 0))
vì dòng lệnh này coi như regen cho mỗi block

thay cụm dưới bằng cụm này.

(defun c:dlb ( / ss )
(setq ss (ssget '((0 . "INSERT"))))
(foreach n (ssnamex ss)
(if (= 'ename (type (cadr n)))
(progn
(block_s_dxf (cadr n) 8 "0")
(block_s_dxf (cadr n) 62 256)
)
)
)
(command "regen")
)

Cảm ơn bác ạ 


  • 0

#14 cuongtk2

cuongtk2

    biết lệnh rotate

  • Members
  • PipPipPip
  • 135 Bài viết
Điểm đánh giá: 33 (tàm tạm)

Đã gửi 14 July 2017 - 11:15 AM

hàm block_s_dxf còn thiếu một dấu ) . Bạn cho nó vào phía trên của defun c:dlb


  • 0